/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 

package administrador.utiles;

import java.text.Format;
import java.text.ParseException;
import java.text.SimpleDateFormat;

public class Fecha {

    static java.text.SimpleDateFormat timeFormatHM;
    static java.text.SimpleDateFormat timeFormatHMS;
    static java.text.SimpleDateFormat timeFormatDMA;
    public static java.sql.Timestamp TimestampNulo;
    static java.text.SimpleDateFormat dateFormatDMA;

    static {
        timeFormatHM = new java.text.SimpleDateFormat("HH:mm");
        timeFormatHMS = new java.text.SimpleDateFormat("HH:mm:ss");
        timeFormatDMA = new java.text.SimpleDateFormat("dd/MM/yyyy");
        TimestampNulo = new java.sql.Timestamp(0);
        dateFormatDMA = new java.text.SimpleDateFormat("dd/MM/yyyy");
    }

    public Fecha() {
    }

    public static java.sql.Timestamp ahora() {
        return new java.sql.Timestamp(System.currentTimeMillis());
    }

    public static String formatoHoraHM(java.util.Date d) {
        long tt = d.getTime();
        if (tt < 1) {
            return "";
        }
        return timeFormatHM.format(d);
    }

    public static String formatoHoraHMS(java.util.Date d) {
        long tt = d.getTime();
        if (tt < 1) {
            return "";
        }
        return timeFormatHMS.format(d);
    }

    public static String formatoHoraDMA(java.util.Date d) {
        long tt = d.getTime();
        if (tt < 1) {
            return "";
        }
        return timeFormatDMA.format(d);
    }

    public static String formatoFechaCorta(java.util.Date d) {
        if (d == null) {
            return "";
        }
        return dateFormatDMA.format(d);
    }

    public static java.sql.Timestamp horaNula() {
        return new java.sql.Timestamp(0);
    }

    public static java.util.Date convertirHora(String fechahora) {
        try {
            Format formatodiahora = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            //  String fechaDia = formatoFechaCorta(new java.util.Date()) ;
            return (java.util.Date) formatodiahora.parseObject(fechahora);
        } catch (ParseException ex) {
        }
        return null;
    }

    public static String convertirFechaTextoenHoraTexto(String fechatexto) {
        return "";
    }
}
